TF_SignerImpl< SCHEME_OPTIONS > Class Template Reference

_ More...

Inheritance diagram for TF_SignerImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from TF_ObjectImpl< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
typedef SCHEME_OPTIONS::PrivateKey | KeyClass
Public Types inherited from TF_ObjectImplBase< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
typedef SCHEME_OPTIONS | SchemeOptions
typedef SCHEME_OPTIONS::PrivateKey | KeyClass
Public Member Functions inherited from TF_ObjectImpl< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< TF_SignerBase, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
Public Member Functions inherited from TF_SignerBase
void | InputRecoverableMessage (PK_MessageAccumulator &messageAccumulator, const byte *recoverableMessage, size_t recoverableMessageLength) const
| Input a recoverable message to an accumulator. More...
size_t | SignAndRestart (RandomNumberGenerator &rng, PK_MessageAccumulator &messageAccumulator, byte *signature, bool restart=true) const
| Sign and restart messageAccumulator. More...
Public Member Functions inherited from TF_SignatureSchemeBase< PK_Signer, TF_Base< RandomizedTrapdoorFunctionInverse, PK_SignatureMessageEncodingMethod > >
size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const
Public Member Functions inherited from PK_Signer
virtual size_t | Sign (RandomNumberGenerator &rng, PK_MessageAccumulator *messageAccumulator, byte *signature) const
| Sign and delete the messageAccumulator. More...
virtual size_t | SignMessage (RandomNumberGenerator &rng, const byte *message, size_t messageLen, byte *signature) const
| Sign a message. More...
virtual size_t | SignMessageWithRecovery (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *nonrecoverableMessage, size_t nonrecoverableMessageLength, byte *signature) const
| Sign a recoverable message. More...
Public Member Functions inherited from PK_SignatureScheme
virtual size_t | SignatureLength () const =0
| Provides the signature length if it only depends on the key. More...
virtual size_t | MaxSignatureLength (size_t recoverablePartLength=0) const
| Provides the maximum signature length produced given the length of the recoverable message part. More...
virtual size_t | MaxRecoverableLength () const =0
| Provides the length of longest message that can be recovered. More...
virtual bool | IsProbabilistic () const =0
| Determines whether a signature scheme requires a random number generator. More...
virtual bool | AllowNonrecoverablePart () const =0
| Determines whether the non-recoverable message part can be signed. More...
virtual bool | SignatureUpfront () const
| Determines whether the signature must be input before the message. More...
virtual bool | RecoverablePartFirst () const =0
| Determines whether the recoverable part must be input before the non-recoverable part. More...
Public Member Functions inherited from PrivateKeyAlgorithm
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Private Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Private Key. More...
virtual const PrivateKey & | GetPrivateKey () const
| Retrieves a reference to a Private Key. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...
Static Public Member Functions inherited from AlgorithmImpl< TF_SignerBase, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class SCHEME_OPTIONS>
class TF_SignerImpl< SCHEME_OPTIONS >

_

Definition at line 668 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h